uk.gov.hmrc.ct

# CATO02

###
Related Docs: class CATO02 | package ct

#### object CATO02 extends Calculated[CATO02, ComputationsBoxRetriever] with AnnualInvestmentAllowanceCalculator with Serializable

Linear Supertypes
Serializable, Serializable, AnnualInvestmentAllowanceCalculator, Calculated[CATO02, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CATO02
2. Serializable
3. Serializable
4. AnnualInvestmentAllowanceCalculator
5. Calculated
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val DaysInYear: Int

   Definition Classes
     AnnualInvestmentAllowanceCalculator

5. #### val MonthsInYear: Int

   Definition Classes
     AnnualInvestmentAllowanceCalculator

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def calculate(fieldValueRetriever: ComputationsBoxRetriever): CATO02

   Definition Classes
     CATO02 → Calculated

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def maximum(cp1: CP1, cp2: CP2, allowableAmounts: Set[AnnualInvestmentAllowancePeriod]): CATO02

    Definition Classes
      AnnualInvestmentAllowanceCalculator

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### def yearLengthForDailyBasis(accountingPeriodStartDate: LocalDate, accountingPeriodEndDate: LocalDate): Int

    Attributes
      protected
    Definition Classes
      AnnualInvestmentAllowanceCalculator

### Inherited from Serializable

### Inherited from AnnualInvestmentAllowanceCalculator

### Inherited from Calculated[CATO02, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped